-- UC_DHA_Amenities
-- Author: JNR
--------------------------------------------------------------

-- TraitModifiers
--------------------------------------------------------------
INSERT OR REPLACE INTO TraitModifiers
		(TraitType,					ModifierId)
VALUES	('TRAIT_LEADER_MAJOR_CIV',	'JNR_DISTRICT_BREATHTAKING_APPEAL_TO_AMENITIES'),
		('TRAIT_LEADER_MAJOR_CIV',	'JNR_DISTRICT_UNINVITING_APPEAL_TO_AMENITIES'),
		('TRAIT_LEADER_MAJOR_CIV',	'JNR_DISTRICT_DISGUSTING_APPEAL_TO_AMENITIES'),
		('TRAIT_LEADER_MAJOR_CIV',	'JNR_FLOODPLAINS_APPEAL_PENALTY');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR REPLACE INTO Modifiers
		(ModifierId,										ModifierType,											SubjectRequirementSetId)
VALUES	('JNR_DISTRICT_BREATHTAKING_APPEAL_TO_AMENITIES',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_EXTRA_ENTERTAINMENT',	'JNR_DISTRICT_BREATHTAKING_APPEAL'),
		('JNR_DISTRICT_UNINVITING_APPEAL_TO_AMENITIES',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_EXTRA_ENTERTAINMENT',	'JNR_DISTRICT_UNINVITING_APPEAL'),
		('JNR_DISTRICT_DISGUSTING_APPEAL_TO_AMENITIES',		'MODIFIER_PLAYER_DISTRICTS_ADJUST_EXTRA_ENTERTAINMENT',	'JNR_DISTRICT_DISGUSTING_APPEAL'),
		('JNR_FLOODPLAINS_APPEAL_PENALTY',					'MODIFIER_PLAYER_DISTRICTS_ADJUST_EXTRA_ENTERTAINMENT',	'JNR_FLOODPLAINS_APPEAL_DISTRICT_REQUIREMENTSET');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,										Name,		Value)
VALUES	('JNR_DISTRICT_BREATHTAKING_APPEAL_TO_AMENITIES',	'Amount',	1),
		('JNR_DISTRICT_UNINVITING_APPEAL_TO_AMENITIES',		'Amount',	-1),
		('JNR_DISTRICT_DISGUSTING_APPEAL_TO_AMENITIES',		'Amount',	-1),
		('JNR_FLOODPLAINS_APPEAL_PENALTY',					'Amount',	-1);
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR REPLACE INTO RequirementSets
		(RequirementSetId,										RequirementSetType)
VALUES	('JNR_DISTRICT_BREATHTAKING_APPEAL',					'REQUIREMENTSET_TEST_ALL'),
		('JNR_DISTRICT_UNINVITING_APPEAL',						'REQUIREMENTSET_TEST_ALL'),
		('JNR_DISTRICT_DISGUSTING_APPEAL',						'REQUIREMENTSET_TEST_ALL'),
		('JNR_FLOODPLAINS_APPEAL_DISTRICT_REQUIREMENTSET',		'REQUIREMENTSET_TEST_ALL'),
		('JNR_APPEAL_AT_AMENITIES_THRESHOLD_REQUIREMENTSET',	'REQUIREMENTSET_TEST_ANY');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR REPLACE INTO RequirementSetRequirements
		(RequirementSetId,										RequirementId)
VALUES	('JNR_DISTRICT_BREATHTAKING_APPEAL',					'JNR_REQUIRES_PLOT_HAS_ANY_DISTRICT'),
		('JNR_DISTRICT_UNINVITING_APPEAL',						'JNR_REQUIRES_PLOT_HAS_ANY_DISTRICT'),
		('JNR_DISTRICT_DISGUSTING_APPEAL',						'JNR_REQUIRES_PLOT_HAS_ANY_DISTRICT'),
		('JNR_DISTRICT_BREATHTAKING_APPEAL',					'JNR_REQUIRES_BREATHTAKING_APPEAL'),
		('JNR_DISTRICT_UNINVITING_APPEAL',						'JNR_REQUIRES_UNINVITING_APPEAL'),
		('JNR_DISTRICT_DISGUSTING_APPEAL',						'JNR_REQUIRES_DISGUSTING_APPEAL'),
		('JNR_FLOODPLAINS_APPEAL_DISTRICT_REQUIREMENTSET',		'JNR_REQUIRES_PLOT_HAS_ANY_DISTRICT'),
		('JNR_FLOODPLAINS_APPEAL_DISTRICT_REQUIREMENTSET',		'JNR_REQUIRES_APPEAL_AT_AMENITIES_THRESHOLD'),
		('JNR_FLOODPLAINS_APPEAL_DISTRICT_REQUIREMENTSET',		'REQUIRES_PLOT_HAS_FLOODPLAINS_TAG'),
		('JNR_APPEAL_AT_AMENITIES_THRESHOLD_REQUIREMENTSET',	'JNR_REQUIRES_APPEAL_IS_PLUS_4'),
		('JNR_APPEAL_AT_AMENITIES_THRESHOLD_REQUIREMENTSET',	'JNR_REQUIRES_APPEAL_IS_MINUS_1'),
		('JNR_APPEAL_AT_AMENITIES_THRESHOLD_REQUIREMENTSET',	'JNR_REQUIRES_APPEAL_IS_MINUS_3');
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR REPLACE INTO Requirements
		(RequirementId,									RequirementType)
VALUES	('JNR_REQUIRES_APPEAL_AT_AMENITIES_THRESHOLD',	'REQUIREMENT_REQUIREMENTSET_IS_MET'),
		('JNR_REQUIRES_PLOT_HAS_ANY_DISTRICT',			'REQUIREMENT_PLOT_HAS_ANY_DISTRICT'),
		('JNR_REQUIRES_BREATHTAKING_APPEAL',			'REQUIREMENT_PLOT_IS_APPEAL_BETWEEN'),
		('JNR_REQUIRES_UNINVITING_APPEAL',				'REQUIREMENT_PLOT_IS_APPEAL_BETWEEN'),
		('JNR_REQUIRES_DISGUSTING_APPEAL',				'REQUIREMENT_PLOT_IS_APPEAL_BETWEEN'),
		('JNR_REQUIRES_APPEAL_IS_PLUS_4',				'REQUIREMENT_PLOT_IS_APPEAL_BETWEEN'),
		('JNR_REQUIRES_APPEAL_IS_MINUS_1',				'REQUIREMENT_PLOT_IS_APPEAL_BETWEEN'),
		('JNR_REQUIRES_APPEAL_IS_MINUS_3',				'REQUIREMENT_PLOT_IS_APPEAL_BETWEEN'),
		('JNR_REQUIRES_PLOT_IS_FLOODPLAINS',			'REQUIREMENT_PLOT_FEATURE_TYPE_MATCHES'),
		('JNR_REQUIRES_PLOT_IS_FLOODPLAINS_GRASSLAND',	'REQUIREMENT_PLOT_FEATURE_TYPE_MATCHES'),
		('JNR_REQUIRES_PLOT_IS_FLOODPLAINS_PLAINS',		'REQUIREMENT_PLOT_FEATURE_TYPE_MATCHES');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR REPLACE INTO RequirementArguments
		(RequirementId,									Name,				Value)
VALUES	('JNR_REQUIRES_APPEAL_AT_AMENITIES_THRESHOLD',	'RequirementSetId',	'JNR_APPEAL_AT_AMENITIES_THRESHOLD_REQUIREMENTSET'),
		('JNR_REQUIRES_BREATHTAKING_APPEAL',			'MinimumAppeal',	4),
		('JNR_REQUIRES_UNINVITING_APPEAL',				'MaximumAppeal',	-2),
		('JNR_REQUIRES_DISGUSTING_APPEAL',				'MaximumAppeal',	-4),
		('JNR_REQUIRES_APPEAL_IS_PLUS_4',				'MinimumAppeal',	4),
		('JNR_REQUIRES_APPEAL_IS_PLUS_4',				'MaximumAppeal',	4),
		('JNR_REQUIRES_APPEAL_IS_MINUS_1',				'MinimumAppeal',	-1),
		('JNR_REQUIRES_APPEAL_IS_MINUS_1',				'MaximumAppeal',	-1),
		('JNR_REQUIRES_APPEAL_IS_MINUS_3',				'MinimumAppeal',	-3),
		('JNR_REQUIRES_APPEAL_IS_MINUS_3',				'MaximumAppeal',	-3),
		('JNR_REQUIRES_PLOT_IS_FLOODPLAINS',			'FeatureType',		'FEATURE_FLOODPLAINS'),
		('JNR_REQUIRES_PLOT_IS_FLOODPLAINS_GRASSLAND',	'FeatureType',		'FEATURE_FLOODPLAINS_GRASSLAND'),
		('JNR_REQUIRES_PLOT_IS_FLOODPLAINS_PLAINS',		'FeatureType',		'FEATURE_FLOODPLAINS_PLAINS');
--------------------------------------------------------------